{"openapi":"3.0.1","info":{"title":"1498.csoc-OrganizationCS-s-rest-v1","description":"3.6 Общий сервис «Карточка ЮЛ","contact":{"name":"Степан Заяц","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=268402180","email":"szayats@vtb.ru"},"version":"1.0.0"},"externalDocs":{"description":"Описание \"Общий сервис «Карточка ЮЛ» (OrganizationCS)\"","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=74144217"},"servers":[{"url":"http://cs-organization-nossl-ds1-genr01-csoc-develop.apps.ds1-genr01.corp.dev.vtb/api/v2","description":"Server version v2"}],"security":[{"EpaAuth":[]}],"paths":{"/sources/search":{"post":{"tags":["Source Clients Controller V2"],"summary":"Поиск первичных записей по основным атрибутам первичной записи","description":"Поиск первичных записей по основным атрибутам первичной записи - http://wiki.corp.dev.vtb/pages/viewpage.action?pageId=366488462","externalDocs":{"url":"http://wiki.corp.dev.vtb/pages/viewpage.action?pageId=366488462"},"operationId":"search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchOptions"}}},"required":true},"responses":{"200":{"description":"Поиск первичных записей по составному ключу","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}}}}},"/sources/get":{"post":{"tags":["Source Clients Controller V2"],"summary":"Получение первичной записи по паре идентификаторов","description":"Получение первичной записи по паре идентификаторов - http://wiki.corp.dev.vtb/pages/viewpage.action?pageId=366488462","externalDocs":{"url":"http://wiki.corp.dev.vtb/pages/viewpage.action?pageId=366488462"},"operationId":"get","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.get.GetPrimaryRecordRequestDto"}}},"required":true},"responses":{"200":{"description":"Поиск первичных записей по составному ключу","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse"}}}}}}},"/etalons/search-total":{"post":{"tags":["Etalon Search V2"],"summary":"Поиск \"Карточки ЮЛ\" с постраничным выводом","description":"Поиск \"Карточки ЮЛ\" с постраничным выводом","operationId":"searchEtalonTotal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchOptions"}}},"required":true},"responses":{"200":{"description":"Получение набора \"Карточек ЮЛ\" по реквизитам, указанным в запросе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchEtalonsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}},"404":{"description":"По реквизитам, указанным в запросе, совпадений не найдено","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}}}}},"/etalons/search-by-primary-record-total":{"post":{"tags":["Etalon Search V2"],"summary":"Поиск \"Карточки ЮЛ\" по атрибутам первичной записи с постраничным выводом","description":"Поиск \"Карточки ЮЛ\" по атрибутам первичной записи с постраничным выводом","operationId":"searchEtalonByPrimaryRecordTotal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchByPrimaryRecordOptions"}}},"required":true},"responses":{"200":{"description":"Получение набора \"Карточек ЮЛ\" по атрибутам первичной записи, указанным в запросе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchEtalonsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}},"404":{"description":"По атрибутам первичной записи, указанным в запросе, совпадений не найдено","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ErrorResponse"}}}}}}}},"components":{"schemas":{"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.AdditionalOptions":{"type":"object","properties":{"okpo":{"maxLength":255,"type":"string","description":"ОКПО","nullable":true},"kpp":{"maxLength":255,"type":"string","description":"КПП","nullable":true},"swift":{"maxLength":255,"type":"string","description":"SWIFT","nullable":true},"calculatedOptions":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.CalculatedOptions"}},"additionalProperties":false,"description":"Дополнительный запрос","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.CalculatedOptions":{"type":"object","properties":{"isBranch":{"type":"boolean","description":"Признак нижестоящего","nullable":true},"isValid":{"type":"boolean","description":"Признак валидности","nullable":true},"clientType":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Тип клиента","format":"int32","nullable":true},"clientTypeCode":{"maxLength":255,"type":"string","description":"Код типа клиента","nullable":true}},"additionalProperties":false,"description":"Вычисляемые атрибуты"},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.RequiredOptions":{"type":"object","properties":{"inn":{"maxLength":255,"type":"string","description":"ИНН"},"registrationNumber":{"maxLength":255,"type":"string","description":"Номер регистрации"},"bic":{"maxLength":255,"type":"string","description":"БИК"}},"additionalProperties":false,"description":"Обязательные поля запроса"},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.SearchOptions":{"required":["requiredOptions"],"type":"object","properties":{"requiredOptions":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.RequiredOptions"},"additionalOptions":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.AdditionalOptions"},"requiredDataBlocks":{"type":"array","description":"Проекция","nullable":true,"items":{"type":"string","description":"Блоки-проекции клиента","nullable":true,"enum":["MainInfo","Addresses","Documents","Contacts","Divisions","CrossLinks","AdditionalOkveds","Id","HeadBranchRelations","InvalidReasons","MdmCode","Questionnaire","BlackList","FatcaInfo","CrsInfo","RelatedEntities","Predecessors","OchLinearInfo","ActivityStructures","EconomicSectors","Segments","IdentificationAttributes","ContactPersons","EgrData"]}},"itemsLimit":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Ограничение","format":"int32","nullable":true},"skip":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Количество пропущенных","format":"int32","nullable":true}},"additionalProperties":false,"description":"Поисковый запрос"},"ru.vtb.integration.mdm.cs.organization.model.controller.dto.ApiResponseError":{"type":"object","properties":{"code":{"maxLength":255,"type":"string","description":"Код ответа с ошибкой","nullable":true},"message":{"maxLength":255,"type":"string","description":"Сообщения ответа с ошибкой","nullable":true}},"additionalProperties":false,"description":"Ошибки ответа","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.RelatedClientCitizen":{"type":"object","properties":{"techSourceSystemId":{"maxLength":255,"type":"string","description":"Технический id в системе источнике"},"sourceSystemLogin":{"maxLength":255,"type":"string","description":"Логин в системе источнике"},"sourceSystemDTC":{"type":"string","description":"Дата создания","format":"date-time"},"sourceSystemDTM":{"type":"string","description":"Дата изменения","format":"date-time"},"clientSnapshot":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonCitizenSnapshot"}},"additionalProperties":false,"description":"Связанное лицо - орган управления, расширенное системной информацией"},"ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.get.GetPrimaryRecordResultDto":{"type":"object","properties":{"sourceSystemType":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.SourceSystemType"},"clientSnapshot":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordoutput.dto.PrimaryRecordOutputDto"}},"additionalProperties":false,"description":"Ответ-получение ПЗ","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.controller.dto.v3.sources.GetPrimaryRecordListApiResponse":{"type":"object","properties":{"code":{"maxLength":255,"type":"string","description":"Код ответа","nullable":true},"message":{"maxLength":255,"type":"string","description":"Сообщение","nullable":true},"payload":{"type":"array","description":"Содержание ответа","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.get.GetPrimaryRecordResultDto"}},"errors":{"type":"array","description":"Ошибки ответа","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.ApiResponseError"}}},"additionalProperties":false,"description":"Ответ на запрос получения списка первичных записей ЮЛ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.AddressEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"attrCode":{"maxLength":255,"type":"string","description":"Код атрибута","nullable":true},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32","nullable":true},"addressFull":{"maxLength":255,"type":"string","description":"Полный адрес","nullable":true},"country":{"maxLength":255,"type":"string","description":"Страна","nullable":true},"postalCode":{"maxLength":255,"type":"string","description":"Почтовый индекс","nullable":true},"region":{"maxLength":255,"type":"string","description":"Регион","nullable":true},"district":{"maxLength":255,"type":"string","description":"Район","nullable":true},"city":{"maxLength":255,"type":"string","description":"Город","nullable":true},"settlement":{"maxLength":255,"type":"string","description":"Населенный пункт","nullable":true},"street":{"maxLength":255,"type":"string","description":"Улица","nullable":true},"building":{"maxLength":255,"type":"string","description":"Строение","nullable":true},"blockNumber":{"maxLength":255,"type":"string","description":"Корпус","nullable":true},"office":{"maxLength":255,"type":"string","description":"Офис/квартира","nullable":true},"kladr":{"maxLength":255,"type":"string","description":"КЛАДР","nullable":true},"tlement":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.AddressEntity"}},"additionalProperties":false,"description":"Адрес"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.AttributesAggregatedEntity":{"type":"object","properties":{"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ПЗ","format":"int64","nullable":true},"tin":{"maxLength":255,"type":"string","description":"ИНН","nullable":true},"registrationNumber":{"maxLength":255,"type":"string","description":"Регистрационный номер","nullable":true},"shortName":{"maxLength":255,"type":"string","description":"Короткое наименование","nullable":true},"fullName":{"maxLength":255,"type":"string","description":"Полное наименование","nullable":true},"externalMdmId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Внешний id","format":"int64","nullable":true},"okpo":{"maxLength":255,"type":"string","description":"ОКПО","nullable":true},"kpp":{"maxLength":255,"type":"string","description":"КПП","nullable":true},"swift":{"maxLength":11,"minLength":8,"type":"string","description":"SWIFT","nullable":true},"shortNameEn":{"maxLength":255,"type":"string","description":"Короткое англоязычное наименование","nullable":true},"fullNameEn":{"maxLength":255,"type":"string","description":"Полное англоязычное наименование","nullable":true},"bic":{"maxLength":255,"type":"string","description":"БИК","nullable":true},"okopf":{"maxLength":255,"type":"string","description":"ОКОПФ","nullable":true},"okfs":{"maxLength":255,"type":"string","description":"ОКФС","nullable":true},"okogu":{"maxLength":255,"type":"string","description":"ОКОГУ","nullable":true},"okato":{"maxLength":255,"type":"string","description":"ОКАТО","nullable":true},"registrationDate":{"maxLength":255,"type":"string","description":"Дата регистрации","format":"date-time","nullable":true},"isResident":{"type":"boolean","description":"Признак резидента","nullable":true},"residence":{"maxLength":255,"type":"string","description":"Резидентство","nullable":true}},"additionalProperties":false,"description":"Значения атрибутов ПЗ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.CavEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64"},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ПЗ","format":"int64"},"attrCode":{"maxLength":255,"type":"string","description":"Код атрибута"},"attrValue":{"maxLength":255,"type":"string","description":"Значение атрибута"},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32"},"dtc":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"}},"additionalProperties":false,"description":"Дополнительный атрибут ПЗ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.ContactEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32","nullable":true},"mdmContactTypeId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"mdmContactTypeId","format":"int64","nullable":true},"mdmContactType":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmContactTypeEntity"},"mdmContactTypeCode":{"maxLength":255,"type":"string","description":"mdmContactTypeCode","nullable":true},"value":{"maxLength":255,"type":"string","description":"Значение контактной информации","nullable":true},"comment":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true},"isTrust":{"type":"boolean","description":"Признак доверительной системы","nullable":true},"isMain":{"type":"boolean","description":"Признак основного контакта","nullable":true}},"additionalProperties":false,"description":"Контакт"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.ContactPersonEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32","nullable":true},"jobTitle":{"maxLength":255,"type":"string","description":"Работа","nullable":true},"fullName":{"maxLength":255,"type":"string","description":"Фамилия","nullable":true},"birthDay":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time","nullable":true},"phone":{"maxLength":255,"type":"string","description":"Телефон","nullable":true},"email":{"maxLength":255,"type":"string","description":"Электронный адрес","nullable":true},"comment":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true}},"additionalProperties":false,"description":"Модель контактного лица"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.DocumentEntity":{"type":"object","properties":{"id":{"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"state":{"type":"integer","description":"Состояние","format":"int32","nullable":true},"mdmDocumentTypeId":{"type":"integer","description":"mdmDocumentTypeId","format":"int64","nullable":true},"mdmDocumentType":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmDocumentTypeEntity"},"mdmDocumentTypeCode":{"maxLength":255,"type":"string","description":"mdmDocumentTypeCode","nullable":true},"mdmDocumentSubTypeId":{"type":"integer","description":"mdmDocumentSubTypeId","format":"int64","nullable":true},"mdmDocumentSubType":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmDocumentSubTypeEntity"},"mdmDocumentSubTypeCode":{"maxLength":255,"type":"string","description":"mdmDocumentSubTypeCode","nullable":true},"docSeries":{"maxLength":255,"type":"string","description":"Серия","nullable":true},"docNumber":{"maxLength":255,"type":"string","description":"Номер","nullable":true},"issuer":{"maxLength":255,"type":"string","description":"Орган, выдавший документ","nullable":true},"issuerCode":{"maxLength":255,"type":"string","description":"Код подразделения","nullable":true},"issuerPlace":{"maxLength":255,"type":"string","description":"Место выдачи","nullable":true},"issueDate":{"maxLength":255,"type":"string","description":"Дата выдачи","format":"date-time","nullable":true},"validDate":{"maxLength":255,"type":"string","description":"Дата валидности","format":"date-time","nullable":true},"ssid":{"maxLength":255,"type":"string","description":"ID документа из АБС","nullable":true},"comments":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true}},"additionalProperties":false,"description":"Документ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.EdkDocEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64"},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ПЗ","format":"int64"},"customerId":{"maxLength":255,"type":"string","description":"Идентификатор клиента"},"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"modificationDateTime":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"documentType":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Тип документа","format":"int32"}},"additionalProperties":false,"description":"Документ ПЗ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmCitizenRelWithSource":{"type":"object","properties":{"mdmCitizenId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ФЛ","format":"int64"},"clientRefId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ПЗ","format":"int64"}},"additionalProperties":false,"description":"Отношения с ФЛ"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmContactTypeEntity":{"type":"object","properties":{"id":{"type":"integer","description":"id","format":"int64","nullable":true},"caption":{"maxLength":255,"type":"string","description":"caption","nullable":true},"code":{"maxLength":255,"type":"string","description":"code","nullable":true}},"additionalProperties":false,"description":"MdmContactTypeEntity","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmDocumentSubTypeEntity":{"type":"object","properties":{"id":{"type":"integer","description":"id","format":"int64","nullable":true},"caption":{"maxLength":255,"type":"string","description":"caption","nullable":true},"code":{"maxLength":255,"type":"string","description":"code","nullable":true}},"additionalProperties":false,"description":"MdmDocumentSubTypeEntity","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmDocumentTypeEntity":{"type":"object","properties":{"id":{"type":"integer","description":"id","format":"int64","nullable":true},"caption":{"maxLength":255,"type":"string","description":"caption","nullable":true},"code":{"maxLength":255,"type":"string","description":"code","nullable":true}},"additionalProperties":false,"description":"MdmDocumentTypeEntity","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmPhoneTypeEntity":{"type":"object","properties":{"id":{"type":"integer","description":"id","format":"int64","nullable":true},"label":{"maxLength":255,"type":"string","description":"label","nullable":true},"code":{"maxLength":255,"type":"string","description":"code","nullable":true},"isCitizen":{"type":"boolean","description":"isCitizen","nullable":true}},"additionalProperties":false,"description":"MdmPhoneTypeEntity","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmRelWithSource":{"type":"object","properties":{"etalonId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id эталона","format":"int64"},"absSystemId":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"id системы-источника","format":"int32"},"externalId":{"maxLength":255,"type":"string","description":"id в системе-источнике"},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id ПЗ в системе","format":"int64"},"primaryRecord":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordEntity"},"isIdentified":{"type":"boolean"}},"additionalProperties":false,"description":"Описание отношений ПЗ с эталоном"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PhoneEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":0,"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"maximum":9223372036854775000,"minimum":0,"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32","nullable":true},"mdmPhoneTypeId":{"maximum":9223372036854775000,"minimum":0,"type":"integer","description":"mdmPhoneTypeId","format":"int64","nullable":true},"mdmPhoneType":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmPhoneTypeEntity"},"mdmPhoneTypeCode":{"maxLength":255,"type":"string","description":"mdmPhoneTypeCode","nullable":true},"phoneCode":{"maxLength":255,"type":"string","description":"Телефонный код","nullable":true},"phoneComment":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true},"phoneExt":{"maxLength":255,"type":"string","description":"Дополнительный номер","nullable":true},"phoneNormal":{"maxLength":255,"type":"string","description":"Нормализованный телефонный номер","nullable":true},"phonePrefix":{"maxLength":255,"type":"string","description":"Префикс номера","nullable":true},"phoneValue":{"maxLength":255,"type":"string","description":"Значение телефона","nullable":true},"phoneOperatorName":{"maxLength":255,"type":"string","description":"Наименование оператора","nullable":true},"phoneRegion":{"maxLength":255,"type":"string","description":"Регион телефона","nullable":true},"isTrust":{"type":"boolean","description":"Признак - доверительная система","nullable":true},"isMain":{"type":"boolean","description":"Признак «Основной»","nullable":true}},"additionalProperties":false,"description":"Телефон"},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64"},"externalId":{"maxLength":255,"type":"string","description":"id в системе-источнике"},"absSystemId":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"id системы-источника","format":"int32"},"externalCode":{"maxLength":255,"type":"string","description":"Код в системе-источнике"},"sourceLogin":{"maxLength":255,"type":"string","description":"Логин"},"type":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Тип","format":"int32"},"entityState":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32"},"clientType":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Тип клиента","format":"int32"},"attributesAggregated":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.AttributesAggregatedEntity"},"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"modificationDateTime":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"deletionDateTime":{"maxLength":255,"type":"string","description":"Дата удаления","format":"date-time"},"isTechnical":{"type":"boolean","description":"Признак технической ПЗ"},"cavs":{"type":"array","description":"Дополнительные атрибуты","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.CavEntity"}},"addresses":{"type":"array","description":"Адреса","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.AddressEntity"}},"documents":{"type":"array","description":"Документы","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.DocumentEntity"}},"contacts":{"type":"array","description":"Контакты","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.ContactEntity"}},"phones":{"type":"array","description":"Телефоны","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PhoneEntity"}},"contactPersons":{"type":"array","description":"Контактные лица","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.ContactPersonEntity"}},"edkDocs":{"type":"array","description":"Документы ЕДК","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.EdkDocEntity"}},"segments":{"type":"array","description":"Сегменты","items":{"type":"object","description":"Сегменты"}},"relWithSource":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmRelWithSource"},"relWithPhysicalPersonSource":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.MdmCitizenRelWithSource"},"relWithCitizen":{"type":"array","description":"Связанные лица","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordRelationEntity"}}},"additionalProperties":false,"description":"Карточка связанного ФЛ","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordRelationEntity":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"primaryRecordId":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"primaryRecordId","format":"int64","nullable":true},"state":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Состояние","format":"int32","nullable":true},"ssid":{"maxLength":255,"type":"string","description":"ssid","nullable":true},"subSystemId":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"subSystemId","format":"int32","nullable":true},"relatedClient":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordEntity"}},"additionalProperties":false,"description":"Модель связанного лица","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordoutput.dto.PrimaryRecordOutputDto":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"mdmCode":{"maximum":9223372036854775000,"minimum":0,"type":"integer","description":"Мдм код","format":"int64","nullable":true},"mdmLegalStatusCode":{"maxLength":255,"type":"string","description":"Код юридического статуса","nullable":true},"name":{"maxLength":255,"type":"string","description":"Наименование","nullable":true},"fullName":{"maxLength":255,"type":"string","description":"Полное наименование","nullable":true},"nameEn":{"maxLength":255,"type":"string","description":"Наименование на английском","nullable":true},"fullNameEn":{"maxLength":255,"type":"string","description":"Полное наименование на английском","nullable":true},"isResident":{"type":"boolean","description":"Признак резидента","nullable":true},"countryCode":{"maxLength":255,"type":"string","description":"Код страны","nullable":true},"registryNumber":{"maxLength":255,"type":"string","description":"Номер регистрации","nullable":true},"kio":{"maxLength":255,"type":"string","description":"КИО","nullable":true},"taxRegistryDate":{"maxLength":255,"type":"string","description":"Дата регистрации в налоговой","format":"date-time","nullable":true},"registryDate":{"maxLength":255,"type":"string","description":"Дата регистрации","format":"date-time","nullable":true},"kpp":{"maxLength":255,"type":"string","description":"КПП","nullable":true},"tin":{"maxLength":255,"type":"string","description":"ИНН","nullable":true},"isBranch":{"type":"boolean","description":"Признак отделения","nullable":true},"clientTypeCode":{"maxLength":255,"type":"string","description":"Код типа клиента","nullable":true},"slxId":{"maxLength":255,"type":"string","description":"SlxId","nullable":true},"okpo":{"maxLength":255,"type":"string","description":"ОКПО","nullable":true},"okato":{"maxLength":255,"type":"string","description":"ОКАТО","nullable":true},"okogu":{"maxLength":255,"type":"string","description":"ОКОГУ","nullable":true},"okfs":{"maxLength":255,"type":"string","description":"ОКФС","nullable":true},"okopf":{"maxLength":255,"type":"string","description":"ОКОПФ","nullable":true},"okved":{"maxLength":255,"type":"string","description":"ОКВЭД","nullable":true},"oktmo":{"maxLength":255,"type":"string","description":"ОКТМО","nullable":true},"rnko":{"maxLength":255,"type":"string","description":"РНКО","nullable":true},"largeKpp":{"maxLength":255,"type":"string","description":"Большой КПП","nullable":true},"bic":{"maxLength":255,"type":"string","description":"БИК","nullable":true},"swift":{"maxLength":255,"type":"string","description":"SWIFT","nullable":true},"dateLastUpdate":{"maxLength":255,"type":"string","description":"Дата последнего обновления","format":"date-time","nullable":true},"dateNextUpdate":{"maxLength":255,"type":"string","description":"Дата следующего обновления","format":"date-time","nullable":true},"additionalOkvedCodes":{"type":"array","description":"Дополнительные коды ОКВЭД","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ClientAddOkvedCode"}},"addresses":{"type":"array","description":"Адреса","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientAddress"}},"contacts":{"type":"array","description":"Контакты","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientContact"}},"contactPersons":{"type":"array","description":"Сотрудники для связи","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ContactPerson"}},"phoneNumbers":{"type":"array","description":"Телефоны","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientPhone"}},"divisions":{"type":"array","description":"Точки продаж","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientDivision"}},"documents":{"type":"array","description":"Документы","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientDoc"}},"isboul":{"type":"boolean","description":"Признак isBoul","nullable":true},"ogrnDate":{"maxLength":255,"type":"string","description":"Дата ОГРН","format":"date-time","nullable":true},"oldRegistryNumber":{"maxLength":255,"type":"string","description":"Предыдущий номер регистрации","nullable":true},"accreditationNumber":{"maxLength":255,"type":"string","description":"Номер аккредитации","nullable":true},"accreditationDate":{"maxLength":255,"type":"string","description":"Дата аккредитации","format":"date-time","nullable":true},"isMain":{"type":"boolean","description":"Признак основного","nullable":true},"isPdl":{"type":"boolean","description":"Признак ПДЛ","nullable":true},"questionnaireDetails":{"type":"array","description":"Детали анкеты","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientQuestionnaireDetail"}},"questionnaire":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientQuestionnaire"},"blackList":{"type":"array","description":"Черный список","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v2.EtalonClientBlackListItem"}},"crsAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.CrsAttributes"},"fatcaAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.FatcaAttributes"},"clientCrs":{"type":"array","description":"Клиенты CRS","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrs"}},"fatcaPersons":{"type":"array","description":"Пользователи клиентов FATCA","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientFatcaPerson"}},"governments":{"type":"array","description":"Управление","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientGovernment"}},"predecessors":{"type":"array","description":"Предшественники","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonPredecessor"}},"isPartner":{"type":"boolean","description":"Признак партнера","nullable":true},"mdmCompanyTypeCode":{"maxLength":255,"type":"string","description":"Код типа компании по мдм коду","nullable":true},"isBusinessRight":{"type":"boolean","description":"Признак правового бизнеса","nullable":true},"mdmTaxSystemCode":{"maxLength":255,"type":"string","description":"Код налоговой системы","nullable":true},"isCorporateFlag":{"type":"boolean","description":"Признак корпорации","nullable":true},"mdmNumTaxInspectionCode":{"maxLength":255,"type":"string","description":"Код налоговой инспекции","nullable":true},"taxRegion":{"maxLength":255,"type":"string","description":"Регион налоговый","nullable":true},"taxCity":{"maxLength":255,"type":"string","description":"Город налоговой","nullable":true},"registeringAuthorityName":{"maxLength":255,"type":"string","description":"Орган регистрации","nullable":true},"mdmBankRelationCode":{"maxLength":255,"type":"string","description":"Код отношения к банку","nullable":true},"mdmStateFundingCode":{"maxLength":255,"type":"string","description":"Код статуса финансирования","nullable":true},"mdmStateFundingValueCode":{"maxLength":255,"type":"string","description":"Значение финансирования","nullable":true},"higherStateAgency":{"maxLength":255,"type":"string","description":"Вышестоящая организация","nullable":true},"isPositiveCreditWorthness":{"type":"boolean","description":"Признак положительного кредитного рейтинга","nullable":true},"isPmbFundFlag":{"type":"boolean","description":"Признак ПМБ","nullable":true},"mdmOpfCode":{"maxLength":255,"type":"string","description":"Код ОПФ","nullable":true},"mdmBankStatusCode":{"maxLength":255,"type":"string","description":"Код статуса банка","nullable":true},"createdDivisionCode":{"maxLength":255,"type":"string","description":"Код создавшего подразделения","nullable":true},"maintainedDivisionCode":{"maxLength":255,"type":"string","description":"Код обслуживающего подразделения","nullable":true},"corrNumber":{"maxLength":255,"type":"string","description":"Корреспондентский номер","nullable":true},"hqName":{"maxLength":255,"type":"string","description":"Имя","nullable":true},"hqLegalAddress":{"maxLength":255,"type":"string","description":"Юридический адрес","nullable":true},"kppBko":{"maxLength":255,"type":"string","description":"КПП БКО","nullable":true},"employeesCountCompany":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Число сотрудников","format":"int64","nullable":true},"locationCountryCode":{"maxLength":255,"type":"string","description":"Код страны","nullable":true},"licensedActivity":{"maxLength":255,"type":"string","description":"Лицензированная деятельность","nullable":true},"licensedActivityState":{"maxLength":255,"type":"string","description":"Статус лицензии на деятельность","nullable":true},"lastChngSourceAbs":{"maxLength":255,"type":"string","description":"Abs код системы, внесшей последнее изменение","nullable":true},"activityStructures":{"type":"array","description":"Структура","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ActivityStructure"}},"economicSectors":{"type":"array","description":"Сектор экономики","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EconomicSector"}},"segments":{"type":"array","description":"Клиенты CRS","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.Segment"}},"codeWord":{"maxLength":255,"type":"string","description":"Кодовое слово","nullable":true},"isPersonalAttendance":{"type":"boolean","description":"Признак персонального посещения","nullable":true},"isIdentified":{"type":"boolean","description":"Признак идентификации","nullable":true},"isFatcaCrsIdentification":{"type":"boolean","description":"Признак идентификации Fatca/CRS","nullable":true},"isFnsDocumentsMatching":{"type":"boolean","description":"Признак совпадения документов ФНС","nullable":true},"isSelfCertificationDone":{"type":"boolean","description":"Признак сертификации","nullable":true},"isCib":{"type":"boolean","description":"Признак CIB","nullable":true},"isIdentificationCalculated":{"type":"boolean","description":"Признак расчета идентификации","nullable":true},"isDoubt":{"type":"boolean","description":"Признак сомнительности","nullable":true},"firstName":{"maxLength":255,"type":"string","description":"Имя","nullable":true},"middleName":{"maxLength":255,"type":"string","description":"Отчество","nullable":true},"lastName":{"maxLength":255,"type":"string","description":"Фамилия","nullable":true},"firstNameEn":{"maxLength":255,"type":"string","description":"Имя на английском","nullable":true},"middleNameEn":{"maxLength":255,"type":"string","description":"Отчество на английском","nullable":true},"lastNameEn":{"maxLength":255,"type":"string","description":"Фамилия на английском","nullable":true},"birthPlace":{"maxLength":255,"type":"string","description":"Место рождения","nullable":true},"birthDate":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time","nullable":true},"questionnaireStatus":{"maxLength":255,"type":"string","description":"Статус Анкеты Идентификации","nullable":true},"sexCode":{"maxLength":255,"type":"string","description":"Пол","nullable":true},"relWithCitizen":{"type":"array","description":"Связанные лица","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.operationaldatareader.v1.PrimaryRecordRelationEntity"}},"isIdentifiedGlobal":{"type":"boolean","description":"Признак глобальной идентификации","nullable":true},"crsControllingPersons":{"type":"array","description":"Контролирующие сотрудники CRS","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrsControllingPerson"}},"crsBeneficiaries":{"type":"array","description":"Бенефициары CRS","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrsBeneficiary"}}},"additionalProperties":false,"description":"Модель первичной записи","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v2.EtalonClientBlackListItem":{"type":"object","properties":{"similarity":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Схожесть","format":"int64","nullable":true},"isExcluded":{"type":"boolean","description":"Признак исключения","nullable":true},"blackListTypeCode":{"maxLength":255,"type":"string","description":"Код типа","nullable":true},"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time","nullable":true},"modificationDateTime":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time","nullable":true},"excludeDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time","nullable":true},"blacklistedDateTime":{"maxLength":255,"type":"string","description":"Дата внесения в ЧС","format":"date-time","nullable":true},"deleteDateTime":{"maxLength":255,"type":"string","description":"Дата удаления","format":"date-time","nullable":true},"blackListReasonCode":{"maxLength":255,"type":"string","description":"Причина","nullable":true},"modifyUser":{"maxLength":100,"type":"string","description":"Изменивший пользователь","nullable":true},"isManual":{"type":"boolean","description":"Признак isManual","nullable":true}},"additionalProperties":false,"description":"Элемент черного списка","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ActivityStructure":{"type":"object","properties":{"mdmActivityTypeCode":{"maxLength":255,"type":"string","description":"Тип активности"},"portion":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"portion","format":"int64"},"portionStr":{"maxLength":255,"type":"string","description":"Доля в строковом формате"},"workExperience":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Опыт","format":"int64"},"workExperienceStr":{"maxLength":255,"type":"string","description":"Опыт (строка)"},"activityDTE":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"activityDTM":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"}},"additionalProperties":false,"description":"Структура активов","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ClientAddOkvedCode":{"type":"object","properties":{"additionalOkved":{"maxLength":100,"type":"string","description":"Дополнительные коды ОКВЭД"}},"additionalProperties":false,"description":"Дополнительные коды ОКВЭД","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ClientId":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Id","format":"int64"},"mdmCode":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Мдм код","format":"int64"},"externalId":{"maxLength":255,"type":"string","description":"Идентификатор во внешней системе (ssid)"},"absCode":{"maxLength":255,"type":"string","description":"Abs код системы"}},"additionalProperties":false,"description":"Идентификаторы клиента"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ContactPerson":{"type":"object","properties":{"jobTitle":{"maxLength":50,"type":"string","description":"Должность","nullable":true},"fullName":{"maxLength":250,"type":"string","description":"ФИО","nullable":true},"birthday":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time","nullable":true},"phone":{"maxLength":50,"type":"string","description":"Телефон","nullable":true},"email":{"maxLength":50,"type":"string","description":"Электронный адрес","nullable":true},"comment":{"maxLength":200,"type":"string","description":"Комментарий","nullable":true}},"additionalProperties":false,"description":"Сотрудник для связи","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.CrsAttributes":{"type":"object","properties":{"crsActivityCode":{"maxLength":255,"type":"string","description":"Код деятельности"},"crsBnfResidentCode":{"maxLength":255,"type":"string","description":"Код резидента"},"crsExceptionCode":{"maxLength":255,"type":"string","description":"Код исключения"},"crsHighValueAccountCode":{"maxLength":255,"type":"string","description":"Счет"},"crsSprvResidentCode":{"maxLength":255,"type":"string","description":"СПРВ резидент"},"crsResidentCode":{"maxLength":255,"type":"string","description":"Резидент"},"crsDate":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"crsFormDate":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"crsModifyDate":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"crsUser":{"maxLength":256,"type":"string","description":"Пользователь"},"crsIsExceptionFromReporting":{"type":"boolean","description":"Признак исключения из отчетности"},"crsIsReportingPerson":{"type":"boolean","description":"Признак отчитывающегося сотрудника"},"crsIsManual":{"type":"boolean","description":"Признак ручного"},"crsExpensiveBalanceDate":{"maxLength":255,"type":"string","description":"Дата баланса","format":"date-time"},"personAbsenceReasonCode":{"maxLength":255,"type":"string","description":"Причины отсутствия выгодоприобретателя/контролирующего лица"}},"additionalProperties":false,"description":"Атрибуты CRS"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EconomicSector":{"type":"object","properties":{"economicSectorCode":{"maxLength":255,"type":"string","description":"Код сектора"},"workTimeCode":{"maxLength":255,"type":"string","description":"Код"},"economicSectorDTE":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"economicSectorDTM":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"}},"additionalProperties":false,"description":"Сектор экономики","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonCitizenSnapshot":{"type":"object","properties":{"mdmCode":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Мдм код","format":"int64"},"partyUId":{"maxLength":255,"type":"string","description":"Идентификатор ФЛ"},"firstName":{"maxLength":255,"type":"string","description":"Имя"},"middleName":{"maxLength":255,"type":"string","description":"Отчество"},"lastName":{"maxLength":255,"type":"string","description":"Фамилия"},"fullName":{"maxLength":500,"type":"string","description":"Полное имя"},"firstNameEn":{"maxLength":255,"type":"string","description":"Имя на английском"},"middleNameEn":{"maxLength":255,"type":"string","description":"Отчество на английском"},"lastNameEn":{"maxLength":255,"type":"string","description":"Фамилия на английском"},"fullNameEn":{"maxLength":255,"type":"string","description":"Полное имя на английском"},"birthDate":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time"},"birthPlace":{"maxLength":255,"type":"string","description":"Место рождения"},"sexCode":{"maxLength":255,"type":"string","description":"Пол"},"snils":{"maxLength":255,"type":"string","description":"СНИЛС"},"isResident":{"type":"boolean","description":"Признак резидента"},"countryCode":{"maxLength":255,"type":"string","description":"Код страны"},"tin":{"maxLength":100,"type":"string","description":"ИНН"},"isMain":{"type":"boolean","description":"Признак основного"},"ochDate":{"maxLength":255,"type":"string","description":"Дата обновления","format":"date-time"},"addresses":{"type":"array","description":"Адреса","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientAddress"}},"contacts":{"type":"array","description":"Контакты","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientContact"}},"phoneNumbers":{"type":"array","description":"Телефонные номера","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientPhone"}},"documents":{"type":"array","description":"Документы","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientDoc"}},"publicPersonInfo":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.PublicPersonInfo"},"crsAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.CrsAttributes"},"fatcaAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.FatcaAttributes"},"clientCrs":{"type":"array","description":"Клиенты CRS","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrs"}},"relationWithSources":{"type":"array","description":"Кросс-ссылки на ПЗ","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.RelWithSource"}}},"additionalProperties":false,"description":"Модель ФЛ"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientAddress":{"type":"object","properties":{"addressTypeCode":{"maxLength":30,"type":"string","description":"Тип адреса","nullable":true},"addressFull":{"maxLength":500,"type":"string","description":"Полный адрес","nullable":true},"country":{"maxLength":80,"type":"string","description":"Страна","nullable":true},"postalCode":{"maxLength":255,"type":"string","description":"Почтовый код","nullable":true},"region":{"maxLength":255,"type":"string","description":"Регион","nullable":true},"district":{"maxLength":255,"type":"string","description":"Район","nullable":true},"city":{"maxLength":255,"type":"string","description":"Город","nullable":true},"settlement":{"maxLength":255,"type":"string","description":"Населенный пункт","nullable":true},"street":{"maxLength":255,"type":"string","description":"Улица","nullable":true},"building":{"maxLength":255,"type":"string","description":"Строение","nullable":true},"blockNumber":{"maxLength":255,"type":"string","description":"Корпус","nullable":true},"office":{"maxLength":255,"type":"string","description":"Квартира/офис","nullable":true},"kladr":{"maxLength":255,"type":"string","description":"КЛАДР","nullable":true},"offshoreCode":{"maxLength":255,"type":"string","description":"Код оффшора","nullable":true},"regionCode":{"maxLength":255,"type":"string","description":"Код региона","nullable":true},"districtCode":{"maxLength":255,"type":"string","description":"Код района","nullable":true},"cityCode":{"maxLength":255,"type":"string","description":"Код города","nullable":true},"streetCode":{"maxLength":255,"type":"string","description":"Код улицы","nullable":true},"addressFullEn":{"maxLength":255,"type":"string","description":"Полный адрес на английском","nullable":true},"fiasId":{"maxLength":255,"type":"string","description":"Id ФИАС","nullable":true},"regionEn":{"maxLength":255,"type":"string","description":"Регион на английском","nullable":true},"districtEn":{"maxLength":255,"type":"string","description":"Район на английском","nullable":true},"cityEn":{"maxLength":255,"type":"string","description":"Город на английском","nullable":true},"settlementEn":{"maxLength":255,"type":"string","description":"Населенный пункт на английском","nullable":true},"streetEn":{"maxLength":255,"type":"string","description":"Улица на английском","nullable":true},"fullAddressFctr":{"maxLength":255,"type":"string","description":"Полный адрес формата ФКТР","nullable":true},"fullAddressFctrEn":{"maxLength":255,"type":"string","description":"Полный адрес формата ФКТР на английском","nullable":true},"stateEn":{"maxLength":255,"type":"string","description":"Государство","nullable":true},"stateType":{"maxLength":255,"type":"string","description":"Тип государства","nullable":true},"stateTypeEn":{"maxLength":255,"type":"string","description":"Тип государства на английском","nullable":true},"districtType":{"maxLength":255,"type":"string","description":"Тип района","nullable":true},"districtTypeEn":{"maxLength":255,"type":"string","description":"Тип района на английском","nullable":true},"cityType":{"maxLength":255,"type":"string","description":"Тип города","nullable":true},"cityTypeEn":{"maxLength":255,"type":"string","description":"Тип города на английском","nullable":true},"settlementType":{"maxLength":255,"type":"string","description":"Тип населенного пункта","nullable":true},"settlementTypeEn":{"maxLength":255,"type":"string","description":"Тип населенного пункта на английском","nullable":true},"streetType":{"maxLength":255,"type":"string","description":"Тип улицы","nullable":true},"streetTypeEn":{"maxLength":255,"type":"string","description":"Тип улицы на английском","nullable":true},"house":{"maxLength":255,"type":"string","description":"Дом","nullable":true},"stateRu":{"maxLength":255,"type":"string","description":"Государство на русском","nullable":true},"startDate":{"maxLength":255,"type":"string","description":"Дата начала","format":"date-time","nullable":true},"finishDate":{"maxLength":255,"type":"string","description":"Дата окончания","format":"date-time","nullable":true},"isTrust":{"type":"boolean","description":"Признак подтвержденности","nullable":true}},"additionalProperties":false,"description":"Адрес ЮЛ"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientContact":{"type":"object","properties":{"contactTypeCode":{"maxLength":30,"type":"string","description":"Код типа","nullable":true},"value":{"maxLength":255,"type":"string","description":"Значение","nullable":true},"priority":{"maxLength":255,"type":"string","description":"Приоритет","nullable":true},"comment":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true},"isTrust":{"type":"boolean","description":"Признак доверенности","nullable":true},"isMain":{"type":"boolean","description":"Признак основного","nullable":true}},"additionalProperties":false,"description":"Контакт клиента"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrs":{"type":"object","properties":{"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"inputDateTime":{"maxLength":255,"type":"string","description":"Дата ввода","format":"date-time"},"revealDateTime":{"maxLength":255,"type":"string","description":"Дата открытия","format":"date-time"},"exceptDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time"},"crsUser":{"maxLength":256,"type":"string","description":"Пользователь"},"countryIsoA3":{"maxLength":255,"type":"string","description":"Страна"},"tin":{"maxLength":100,"type":"string","description":"ИНН"},"tinReasonCode":{"maxLength":255,"type":"string","description":"Код причины"},"tinReasonInfo":{"maxLength":255,"type":"string","description":"Информация о причине"},"crsStateCode":{"maxLength":255,"type":"string","description":"Код страны"},"addressInResidencyCountry":{"maxLength":255,"type":"string","description":"Адрес в стране резиденства"}},"additionalProperties":false,"description":"Клиент CRS"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrsBeneficiary":{"type":"object","properties":{"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания профиля","format":"date-time"},"crsUser":{"maxLength":256,"type":"string","description":"Пользователь CRS"},"person":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ClientId"},"personType":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Тип сотрудника","format":"int64"},"clientType":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Тип клиента","format":"int64"},"controlCode":{"maxLength":255,"type":"string","description":"Контрольная фраза"},"revealDateTime":{"maxLength":255,"type":"string","description":"Дата открытия","format":"date-time"},"exceptDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time"},"endDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time"},"crsPersonStateCode":{"maxLength":255,"type":"string","description":"Код статуса"},"fullName":{"maxLength":255,"type":"string","description":"Полное имя"},"firstName":{"maxLength":255,"type":"string","description":"Имя"},"middleName":{"maxLength":255,"type":"string","description":"Отчество"},"lastName":{"maxLength":255,"type":"string","description":"Фамилия"},"registryDate":{"maxLength":255,"type":"string","description":"Дата регистрации","format":"date-time"},"crsResidentCode":{"maxLength":255,"type":"string","description":"Код резидента"},"crsActivityCode":{"maxLength":255,"type":"string","description":"Код активности"},"crsModifyDate":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"clientCrs":{"type":"array","description":"Пользователи CRS","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrs"}},"crsControllingPersons":{"type":"array","description":"Проверяющие сотрудники","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrsControllingPerson"}},"partyUId":{"maxLength":80,"type":"string","description":"УИК ФЛ из Карточки ФЛ"},"mdmCode":{"maxLength":255,"type":"string","description":"УИК ЮЛ из Карточки ЮЛ"},"mdmRelWithSources":{"type":"array","description":"Связи с ПЗ","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.RelWithSource"}}},"additionalProperties":false,"description":"Бенефициары CRS","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrsControllingPerson":{"type":"object","properties":{"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания профиля","format":"date-time"},"crsUser":{"maxLength":256,"type":"string","description":"Пользователь CRS"},"person":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ClientId"},"personType":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Тип сотрудника","format":"int64"},"clientType":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Тип клиента","format":"int64"},"controlCode":{"maxLength":255,"type":"string","description":"Контрольная фраза"},"revealDateTime":{"maxLength":255,"type":"string","description":"Дата открытия","format":"date-time"},"exceptDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time"},"endDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time"},"crsPersonStateCode":{"maxLength":255,"type":"string","description":"Код статуса"},"firstName":{"maxLength":255,"type":"string","description":"Имя"},"middleName":{"maxLength":255,"type":"string","description":"Отчество"},"lastName":{"maxLength":255,"type":"string","description":"Фамилия"},"birthDate":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time"},"crsResidentCode":{"maxLength":255,"type":"string","description":"Код резидента"},"crsModifyDate":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"clientCrs":{"type":"array","description":"Пользователи CRS","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientCrs"}},"partyUId":{"maxLength":80,"type":"string","description":"УИК ФЛ из Карточки ФЛ"},"mdmRelWithSources":{"type":"array","description":"Связи с ПЗ","items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.RelWithSource"}}},"additionalProperties":false,"description":"Проверяющие сотрудники"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientDivision":{"type":"object","properties":{"refCode":{"maxLength":255,"type":"string","description":"Референс код","nullable":true},"biscuitCode":{"maxLength":255,"type":"string","description":"Код бисквита","nullable":true}},"additionalProperties":false,"description":"Точка продаж","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientDoc":{"type":"object","properties":{"documentTypeCode":{"maxLength":255,"type":"string","description":"Код типа","nullable":true},"docSubTypeCode":{"maxLength":255,"type":"string","description":"Код подтипа","nullable":true},"docSeries":{"maxLength":255,"type":"string","description":"Серия документа","nullable":true},"docNumber":{"maxLength":255,"type":"string","description":"Номер документа","nullable":true},"issuer":{"maxLength":1000,"type":"string","description":"Кто выдал","nullable":true},"issuerCode":{"maxLength":255,"type":"string","description":"Код выдавшего органа","nullable":true},"issuerPlace":{"maxLength":255,"type":"string","description":"Место выдачи","nullable":true},"issueDate":{"maxLength":255,"type":"string","description":"Дата выдачи","format":"date-time","nullable":true},"validDate":{"maxLength":255,"type":"string","description":"Дата подтверждения","format":"date-time","nullable":true},"ssid":{"maxLength":80,"type":"string","description":"id в системе источнике","nullable":true},"comments":{"maxLength":250,"type":"string","description":"Комментарии","nullable":true}},"additionalProperties":false,"description":"Документ ЮЛ"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientFatcaPerson":{"type":"object","properties":{"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"clientType":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Тип клиента","format":"int32"},"name":{"maxLength":255,"type":"string","description":"Имя"},"personName":{"maxLength":255,"type":"string","description":"Персональное имя"},"ssn":{"maxLength":255,"type":"string","description":"ССН"},"street":{"maxLength":255,"type":"string","description":"Улица"},"building":{"maxLength":80,"type":"string","description":"Дом"},"office":{"maxLength":80,"type":"string","description":"Офис/квартира"},"city":{"maxLength":255,"type":"string","description":"Город"},"region":{"maxLength":255,"type":"string","description":"Регион"},"country":{"maxLength":255,"type":"string","description":"Страна"},"residencyStatus":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Статус резиденства","format":"int32"},"residenceCountryCode":{"maxLength":255,"type":"string","description":"Код страны резидента"},"residenceCountryCodes":{"type":"array","description":"Коды стран резидентства","items":{"type":"string","description":"Коды стран резидентства"}},"fatcaUser":{"maxLength":256,"type":"string","description":"Пользователь FATCA"},"birthDate":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time"}},"additionalProperties":false,"description":"Пользователь FATCA","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientGovernment":{"type":"object","properties":{"typeCode":{"maxLength":255,"type":"string","description":"Код типа"},"relatedClientId":{"maxLength":255,"type":"string","description":"id связанного клиента"},"relatedClient":{"maxLength":2000,"type":"string","description":"Связанный клиент"},"relatedClientCitizen":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.RelatedClientCitizen"},"comments":{"maxLength":2000,"type":"string","description":"Комментарии"}},"additionalProperties":false,"description":"Управление клиента","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientPhone":{"type":"object","properties":{"phoneCode":{"maxLength":2000,"type":"string","description":"Код телефонный","nullable":true},"phoneComment":{"maxLength":255,"type":"string","description":"Комментарий к номеру","nullable":true},"phoneExt":{"maxLength":255,"type":"string","description":"Расширенный номер","nullable":true},"phoneNormal":{"maxLength":255,"type":"string","description":"Нормализованный","nullable":true},"phonePrefix":{"maxLength":255,"type":"string","description":"Префикс","nullable":true},"phoneTypeCode":{"maxLength":30,"type":"string","description":"Код типа телефона","nullable":true},"phoneValue":{"maxLength":255,"type":"string","description":"Номер","nullable":true},"priority":{"maxLength":255,"type":"string","description":"Приоритет","nullable":true},"operatorName":{"maxLength":50,"type":"string","description":"Имя оператора","nullable":true},"phoneRegion":{"maxLength":50,"type":"string","description":"Регион","nullable":true},"isTrust":{"type":"boolean","description":"Признак доверенности","nullable":true},"isMain":{"type":"boolean","description":"Признак основного номера","nullable":true}},"additionalProperties":false,"description":"Телефон клиента"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientQuestionnaire":{"type":"object","properties":{"dateCreate":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"dateUpdate":{"maxLength":255,"type":"string","description":"Дата обновления","format":"date-time"},"dateRevision":{"maxLength":255,"type":"string","description":"Дата проверки","format":"date-time"},"dateNotPlanUpdate":{"maxLength":255,"type":"string","description":"Дата внеплановой проверки","format":"date-time"},"dateClose":{"maxLength":255,"type":"string","description":"Дата закрытия","format":"date-time"},"managerFill":{"maxLength":500,"type":"string","description":"Заполнивший менеджер"},"managerModify":{"maxLength":500,"type":"string","description":"Изменивший менеджер"},"managerControl":{"maxLength":500,"type":"string","description":"Проконтролировавший менеджер"},"managerOpenAcc":{"maxLength":500,"type":"string","description":"Менеджер, открывший счет"},"managerClient":{"maxLength":500,"type":"string","description":"Менеджер клиента"},"managerInputClient":{"maxLength":500,"type":"string","description":"Менеджер ввода клиента"},"curatorClient":{"maxLength":255,"type":"string","description":"Куратор клиента"},"baseCapitalCur":{"maxLength":100,"type":"string","description":"Валюта"},"contragents":{"maxLength":4000,"type":"string","description":"Контрагенты"},"businessRelationshipCode":{"maxLength":255,"type":"string","description":"Код бизнес-отношений"},"businessRelationshipOther":{"maxLength":4000,"type":"string","description":"Бизнес отношения другие"},"operations":{"maxLength":500,"type":"string","description":"Операции"},"operationsNum":{"maxLength":100,"type":"string","description":"Количество операций"},"operationInComeNum":{"maxLength":100,"type":"string","description":"Количество входящих операций"},"operationSum":{"maxLength":100,"type":"string","description":"Сумма по операциям"},"operationIncomeSum":{"maxLength":100,"type":"string","description":"Место выдачи"},"bankList":{"maxLength":255,"type":"string","description":"Список банков"},"marketInfo":{"maxLength":4000,"type":"string","description":"Информация о рынке"},"historyinfo":{"maxLength":4000,"type":"string","description":"История"},"additionalInfo":{"maxLength":4000,"type":"string","description":"Дополнительная информация"},"otherInfo":{"maxLength":255,"type":"string","description":"Прочая информация"},"activityPlace":{"maxLength":255,"type":"string","description":"Место деятельности"},"hasMonitoring":{"maxLength":1000,"type":"string","description":"Находится ли под мониторингом"},"property":{"maxLength":255,"type":"string","description":"Поле"},"profitSum":{"maxLength":100,"type":"string","description":"Сумма прибыли"},"profitSource":{"maxLength":255,"type":"string","description":"Источник прибыли"},"activityTypes":{"maxLength":255,"type":"string","description":"Типы активности"},"migrationCard":{"maxLength":500,"type":"string","description":"Миграционная карта"},"migrationCardNotUser":{"maxLength":100,"type":"string","description":"Миграционная карта не пользователя"},"branches":{"maxLength":4000,"type":"string","description":"Отделения"},"visaDoc":{"maxLength":2000,"type":"string","description":"Виза"},"selfBeneficiary":{"type":"boolean","description":"Признак бенефициарства"},"riskNotes":{"maxLength":255,"type":"string","description":"Заметки о риске"},"riskLevelCode":{"maxLength":255,"type":"string","description":"Код уровня риска"},"beneficiaryCheckCode":{"maxLength":255,"type":"string","description":"Проверочный код бенефициара"},"licensedBusiness":{"type":"boolean","description":"Признак лицензионности"},"addressPresence":{"type":"boolean","description":"Признак наличия адреса"},"baseCapital":{"maxLength":255,"type":"string","description":"Базовый капитал в рублях"},"baseCapitalAmountCur":{"maximum":2147483647,"minimum":-2147483648,"type":"number","description":"Базовый капитал в валюте","format":"double"},"dateRisk":{"maxLength":255,"type":"string","description":"Дата риска","format":"date-time"},"dateNextRisk":{"maxLength":255,"type":"string","description":"Дата следующего риска","format":"date-time"},"dateStart":{"maxLength":255,"type":"string","description":"Дата начала","format":"date-time"},"businessReputation":{"type":"boolean","description":"Признак репутации"},"managerFillPosition":{"maxLength":255,"type":"string","description":"Должность заполнившего менеджера"},"managerModifyPosition":{"maxLength":255,"type":"string","description":"Должность изменившего менеджера"},"isboulTypeCode":{"maxLength":255,"type":"string","description":"Код типа isBoul"}},"additionalProperties":false,"description":"Анкета клиента","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonClientQuestionnaireDetail":{"type":"object","properties":{"questionTypeCode":{"maxLength":255,"type":"string","description":"Код типа вопроса"},"response":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ResponseType"},"responseDate":{"maxLength":255,"type":"string","description":"Дата ответа","format":"date-time"},"responseText":{"maxLength":4000,"type":"string","description":"Текст ответа"},"reputation":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ResponseType"},"riskFactorCode":{"maxLength":255,"type":"string","description":"Код фактора риска"}},"additionalProperties":false,"description":"Детали анкеты клиента","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.EtalonPredecessor":{"type":"object","properties":{"mdmCode":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Мдм код","format":"int64"},"mergeDateTime":{"maxLength":255,"type":"string","description":"Дата слияния","format":"date-time"}},"additionalProperties":false,"description":"Предшественник клиента","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.FatcaAttributes":{"type":"object","properties":{"fatcaUser":{"maxLength":255,"type":"string","description":"Пользователь FATCA"},"fatcaFiStatusCode":{"maxLength":255,"type":"string","description":"Код статуса ФИ"},"fatcaClassifierCode":{"maxLength":255,"type":"string","description":"Код классификатора"},"fatcaSign":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Подпись","format":"int64"},"fatcaControlSign":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Контрольная подпись","format":"int64"},"fatcaTin":{"maxLength":80,"type":"string","description":"ИНН"},"fatcaUrfuMarker":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Маркер УРФУ","format":"int64"},"fatcaFormFillDate":{"maxLength":255,"type":"string","description":"Дата заполнения анкеты","format":"date-time"},"fatcaUsIndicia":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"fatcaUsIndicia","format":"int64"},"fatcaGiId":{"maxLength":80,"type":"string","description":"fatcaGiId"},"fatcaModifyDate":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"fatcaUserLogin":{"maxLength":255,"type":"string","description":"Логин"},"fatcaUserName":{"maxLength":255,"type":"string","description":"Имя пользователя"},"fatcaInz":{"type":"array","description":"Признак fatcaInz","items":{"type":"string","description":"Признак fatcaInz"}},"fatcaIsActualAddress":{"type":"boolean","description":"Признак актуальности адреса"},"fatcaIsLegalAddress":{"type":"boolean","description":"Признак юридического адреса"},"fatcaIsCitizenship":{"type":"boolean","description":"Признак гражданства"},"fatcaIsIdentityDocument":{"type":"boolean","description":"Признак подтвержденных документов"},"fatcaIsPhonePrefix":{"type":"boolean","description":"Признак префикса телефона"},"fatcaIsBirthplace":{"type":"boolean","description":"Признак места рождения"},"fatcaIsGreenCard":{"type":"boolean","description":"Признак зеленой карты"},"fatcaIsFinancialInstitute":{"type":"boolean","description":"Признак финансового института"},"fatcaIsAttorneyInFact":{"type":"boolean","description":"Признак isAttorneyInFact"},"fatcaIsControllingPerson":{"type":"boolean","description":"Признак контролирующего сотрудника"},"fatcaSsn":{"maxLength":80,"type":"string","description":"Признак ССН"},"fatcaOtherSign":{"maxLength":80,"type":"string","description":"Признак прочей подписи"},"fatcaNextUpdateDate":{"maxLength":255,"type":"string","description":"Дата следующего обновления","format":"date-time"},"fatcaGiin1":{"maxLength":10,"type":"string","description":"Признак Giin1"},"fatcaGiin2":{"maxLength":10,"type":"string","description":"Признак Giin2"},"fatcaGiin3":{"maxLength":10,"type":"string","description":"Признак Giin3"},"fatcaGiin4":{"maxLength":10,"type":"string","description":"Признак Giin4"},"fatcaSignActivationDate":{"maxLength":255,"type":"string","description":"Дата активации подписи","format":"date-time"},"personAbsenceReasonCode":{"maxLength":255,"type":"string","description":"Причины отсутствия выгодоприобретателя/контролирующего лица"}},"additionalProperties":false,"description":"Атрибуты FATCA"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.MergeResultType":{"type":"object","properties":{"survivorSubSystemId":{"maxLength":255,"type":"string","description":"Запись-результат"},"victimSubSystemId":{"type":"array","description":"Поглощенные записи","items":{"type":"string","description":"Поглощенные записи"}}},"additionalProperties":false,"description":"Результат слияния"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.PublicPersonInfo":{"type":"object","properties":{"publicPersonTypeCode":{"maxLength":255,"type":"string","description":"Код типа пользователя"},"publicPersonRelativeTypeCode":{"maxLength":255,"type":"string","description":"Код отношения"},"publicPersonRelativeName":{"maxLength":512,"type":"string","description":"Относительное имя"},"publicPersonText":{"maxLength":2000,"type":"string","description":"Сообщение"},"publicPersonWorkAddress":{"maxLength":2000,"type":"string","description":"Рабочий адрес"},"publicPersonCompany":{"maxLength":512,"type":"string","description":"Компания"},"publicPersonPosition":{"maxLength":512,"type":"string","description":"Должность"}},"additionalProperties":false,"description":"Публичная информация"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.RelWithSource":{"type":"object","properties":{"absCode":{"maxLength":255,"type":"string","description":"Abs код системы","nullable":true},"externalId":{"maxLength":255,"type":"string","description":"Id в системе источнике","nullable":true},"sourceSystemDte":{"maxLength":255,"type":"string","description":"Дата","format":"date-time","nullable":true},"zCode":{"maxLength":255,"type":"string","description":"z-Код","nullable":true},"crossRefTypeCode":{"maxLength":30,"type":"string","description":"Тип кросс-ссылки","nullable":true},"ssid":{"maxLength":255,"type":"string","description":"Технический идентификатор записи клиента в системе-источнике","nullable":true},"isIdentified":{"type":"boolean"}},"additionalProperties":false,"description":"Кросс-ссылка на систему источник"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.ResponseType":{"type":"object","properties":{"questionTypeCode":{"maxLength":255,"type":"string","description":"Код типа вопроса"},"questionSubTypeCode":{"maxLength":255,"type":"string","description":"Код подтипа вопроса"},"code":{"maxLength":255,"type":"string","description":"Код"}},"additionalProperties":false,"description":"Тип ответа"},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.Segment":{"type":"object","properties":{"segmentTypeCode":{"maxLength":255,"type":"string","description":"Код типа"},"segmentValue":{"maxLength":255,"type":"string","description":"Значение"},"segmentCriterionCode":{"maxLength":255,"type":"string","description":"Код критерия"},"segmentCriterion":{"maxLength":255,"type":"string","description":"Критерий"},"segmentDTC":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"segmentDTE":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"segmentDTM":{"maxLength":255,"type":"string","description":"Дата редактирования","format":"date-time"}},"additionalProperties":false,"description":"Сегмент","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.SourceSystemType":{"type":"object","properties":{"subSystemId":{"maxLength":255,"type":"string","description":"id в системе-источнике"},"techSubSystemId":{"maxLength":255,"type":"string","description":"Технический id в системе-источнике"},"sourceLogin":{"maxLength":255,"type":"string","description":"Логин источника"},"sourceAbs":{"maxLength":255,"type":"string","description":"abs код источника"},"sourceDTC":{"maxLength":255,"type":"string","description":"Дата создания в системе источнике","format":"date-time"},"sourceDTM":{"maxLength":255,"type":"string","description":"Дата обновления в системе источнике","format":"date-time"},"mergeResult":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.primaryrecordwriter.v3.MergeResultType"}},"additionalProperties":false,"description":"Информация о системе-источнике первичной записи","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.controller.dto.primaryrecords.get.GetPrimaryRecordRequestDto":{"type":"object","properties":{"primaryRecordOptions":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.PrimaryRecordOptions"},"itemsLimit":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","description":"Ограничение","format":"int32","nullable":true}},"additionalProperties":false,"description":"Запрос-получение ПЗ"},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.PrimaryRecordOptions":{"type":"object","properties":{"systemCode":{"maxLength":255,"type":"string","description":"Код системы"},"id":{"maxLength":255,"type":"string","description":"id"}},"additionalProperties":false,"description":"Запрос по ПЗ"},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.ActivityStructure":{"type":"object","properties":{"mdmActivityTypeCode":{"maxLength":255,"type":"string","description":"Тип активности"},"portion":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"portion","format":"int64"},"portionStr":{"maxLength":255,"type":"string","description":"Доля в строковом формате"},"workExperience":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Опыт","format":"int64"},"workExperienceStr":{"maxLength":255,"type":"string","description":"Опыт (строка)"},"activityDTE":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time"},"activityDTM":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"}},"additionalProperties":false,"description":"Структура активов","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.ClientAddOkvedCode":{"type":"object","properties":{"additionalOkved":{"maxLength":100,"type":"string","description":"Код ОКВЭД"}},"additionalProperties":false,"description":"Дополнительные коды ОКВЭД","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.ClientId":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Id","format":"int64"},"mdmCode":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Мдм код","format":"int64"},"externalId":{"maxLength":255,"type":"string","description":"Идентификатор во внешней системе (ssid)"},"absCode":{"maxLength":255,"type":"string","description":"Abs код системы"}},"additionalProperties":false,"description":"Идентификаторы клиента"},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.ContactPerson":{"type":"object","properties":{"jobTitle":{"maxLength":50,"type":"string","description":"Должность","nullable":true},"fullName":{"maxLength":250,"type":"string","description":"ФИО","nullable":true},"birthday":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time","nullable":true},"phone":{"maxLength":50,"type":"string","description":"Телефон","nullable":true},"email":{"maxLength":50,"type":"string","description":"Электронный адрес","nullable":true},"comment":{"maxLength":200,"type":"string","description":"Комментарий","nullable":true},"phoneQC":{"maxLength":255,"type":"string","description":"Код качества телефона","nullable":true},"phoneStatus":{"maxLength":255,"type":"string","description":"Статус телефона","nullable":true},"emailQC":{"maxLength":255,"type":"string","description":"Код качества адреса электронной почты","nullable":true}},"additionalProperties":false,"description":"Сотрудник для связи","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.CrsAttributes":{"type":"object","properties":{"crsActivityCode":{"maxLength":255,"type":"string","description":"Код деятельности"},"crsBnfResidentCode":{"maxLength":255,"type":"string","description":"Код резидента"},"crsExceptionCode":{"maxLength":255,"type":"string","description":"Код исключения"},"crsHighValueAccountCode":{"maxLength":255,"type":"string","description":"Счет"},"crsSprvResidentCode":{"maxLength":255,"type":"string","description":"СПРВ резидент"},"crsResidentCode":{"maxLength":255,"type":"string","description":"Резидент"},"crsDate":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"crsFormDate":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"crsModifyDate":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"},"crsUser":{"maxLength":256,"type":"string","description":"Пользователь"},"crsIsExceptionFromReporting":{"type":"boolean","description":"Признак исключения из отчетности"},"crsIsReportingPerson":{"type":"boolean","description":"Признак отчитывающегося сотрудника"},"crsIsManual":{"type":"boolean","description":"Признак ручного"},"crsExpensiveBalanceDate":{"maxLength":255,"type":"string","description":"Дата баланса","format":"date-time"},"personAbsenceReasonCode":{"maxLength":255,"type":"string","description":"Причина отсутствия выгодоприобретателя CRS"}},"additionalProperties":false,"description":"Атрибуты CRS","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EconomicSector":{"type":"object","properties":{"economicSectorCode":{"maxLength":255,"type":"string","description":"Код сектора"},"workTimeCode":{"maxLength":255,"type":"string","description":"Код"},"economicSectorDTE":{"maxLength":255,"type":"string","description":"Дата","format":"date-time"},"economicSectorDTM":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time"}},"additionalProperties":false,"description":"Сектор экономики","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonCitizenRelation":{"type":"object","properties":{"relatedSources":{"type":"array","description":"Кросс-ссылки","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.RelWithSource"}},"relatedClient":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonCitizenSnapshot"},"relationTypes":{"type":"array","description":"Тип отношения","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientRelationType"}}},"additionalProperties":false,"description":"Отношение с ФЛ","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonCitizenSnapshot":{"type":"object","properties":{"id":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"id","format":"int64","nullable":true},"mdmCode":{"maximum":9223372036854775000,"minimum":0,"type":"integer","description":"Мдм код","format":"int64","nullable":true},"isEIO":{"type":"boolean","description":"Признак EIO","nullable":true},"firstName":{"maxLength":255,"type":"string","description":"Имя","nullable":true},"middleName":{"maxLength":255,"type":"string","description":"Отчество","nullable":true},"lastName":{"maxLength":255,"type":"string","description":"Фамилия","nullable":true},"fullName":{"maxLength":500,"type":"string","description":"Полное имя","nullable":true},"firstNameEn":{"maxLength":255,"type":"string","description":"Имя на английском","nullable":true},"middleNameEn":{"maxLength":255,"type":"string","description":"Отчество на английском","nullable":true},"lastNameEn":{"maxLength":255,"type":"string","description":"Фамилия на английском","nullable":true},"fullNameEn":{"maxLength":255,"type":"string","description":"Полное имя на английском","nullable":true},"birthDate":{"maxLength":255,"type":"string","description":"Дата рождения","format":"date-time","nullable":true},"birthPlace":{"maxLength":255,"type":"string","description":"Место рождения","nullable":true},"sexCode":{"maxLength":255,"type":"string","description":"Пол","nullable":true},"snils":{"maxLength":255,"type":"string","description":"СНИЛС","nullable":true},"okved":{"maxLength":255,"type":"string","description":"ОКВЭД","nullable":true},"isResident":{"type":"boolean","description":"Признак резидента","nullable":true},"countryCode":{"maxLength":255,"type":"string","description":"Код страны","nullable":true},"tin":{"maxLength":100,"type":"string","description":"ИНН","nullable":true},"isMain":{"type":"boolean","description":"Признак основного","nullable":true},"ochDate":{"maxLength":255,"type":"string","description":"Дата обновления","format":"date-time","nullable":true},"addresses":{"type":"array","description":"Адреса","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientAddress"}},"contacts":{"type":"array","description":"Контакты","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientContact"}},"phoneNumbers":{"type":"array","description":"Телефонные номера","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientPhone"}},"documents":{"type":"array","description":"Документы","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientDoc"}},"publicPersonInfo":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.PublicPersonInfo"},"crsAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.CrsAttributes"},"fatcaAttributes":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.FatcaAttributes"},"clientCrs":{"type":"array","description":"Клиенты СRS","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientCrs"}},"relationWithSources":{"type":"array","description":"Кросс-ссылки на ПЗ","nullable":true,"items":{"$ref":"#/components/schemas/ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.RelWithSource"}}},"additionalProperties":false,"description":"Модель ФЛ","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientAddress":{"type":"object","properties":{"addressTypeCode":{"maxLength":30,"type":"string","description":"Тип адреса","nullable":true},"addressFull":{"maxLength":500,"type":"string","description":"Полный адрес","nullable":true},"country":{"maxLength":80,"type":"string","description":"Страна","nullable":true},"postalCode":{"maxLength":255,"type":"string","description":"Почтовый код","nullable":true},"region":{"maxLength":255,"type":"string","description":"Регион","nullable":true},"district":{"maxLength":255,"type":"string","description":"Район","nullable":true},"city":{"maxLength":255,"type":"string","description":"Город","nullable":true},"settlement":{"maxLength":255,"type":"string","description":"Населенный пункт","nullable":true},"street":{"maxLength":255,"type":"string","description":"Улица","nullable":true},"building":{"maxLength":255,"type":"string","description":"Строение","nullable":true},"blockNumber":{"maxLength":255,"type":"string","description":"Корпус","nullable":true},"office":{"maxLength":255,"type":"string","description":"Квартира/офис","nullable":true},"kladr":{"maxLength":255,"type":"string","description":"КЛАДР","nullable":true},"offshoreCode":{"maxLength":255,"type":"string","description":"Код оффшора","nullable":true},"regionCode":{"maxLength":255,"type":"string","description":"Код региона","nullable":true},"districtCode":{"maxLength":255,"type":"string","description":"Код района","nullable":true},"cityCode":{"maxLength":255,"type":"string","description":"Код города","nullable":true},"streetCode":{"maxLength":255,"type":"string","description":"Код улицы","nullable":true},"addressFullEn":{"maxLength":255,"type":"string","description":"Полный адрес на английском","nullable":true},"fiasId":{"maxLength":255,"type":"string","description":"Id ФИАС","nullable":true},"regionEn":{"maxLength":255,"type":"string","description":"Регион на английском","nullable":true},"districtEn":{"maxLength":255,"type":"string","description":"Район на английском","nullable":true},"cityEn":{"maxLength":255,"type":"string","description":"Город на английском","nullable":true},"settlementEn":{"maxLength":255,"type":"string","description":"Населенный пункт на английском","nullable":true},"streetEn":{"maxLength":255,"type":"string","description":"Улица на английском","nullable":true},"fullAddressFctr":{"maxLength":255,"type":"string","description":"Полный адрес формата ФКТР","nullable":true},"fullAddressFctrEn":{"maxLength":255,"type":"string","description":"Полный адрес формата ФКТР на английском","nullable":true},"stateEn":{"maxLength":255,"type":"string","description":"Государство","nullable":true},"stateType":{"maxLength":255,"type":"string","description":"Тип государства","nullable":true},"stateTypeEn":{"maxLength":255,"type":"string","description":"Тип государства на английском","nullable":true},"districtType":{"maxLength":255,"type":"string","description":"Тип района","nullable":true},"districtTypeEn":{"maxLength":255,"type":"string","description":"Тип района на английском","nullable":true},"cityType":{"maxLength":255,"type":"string","description":"Тип города","nullable":true},"cityTypeEn":{"maxLength":255,"type":"string","description":"Тип города на английском","nullable":true},"settlementType":{"maxLength":255,"type":"string","description":"Тип населенного пункта","nullable":true},"settlementTypeEn":{"maxLength":255,"type":"string","description":"Тип населенного пункта на английском","nullable":true},"streetType":{"maxLength":255,"type":"string","description":"Тип улицы","nullable":true},"streetTypeEn":{"maxLength":255,"type":"string","description":"Тип улицы на английском","nullable":true},"house":{"maxLength":255,"type":"string","description":"Дом","nullable":true},"stateRu":{"maxLength":255,"type":"string","description":"Государство на русском","nullable":true},"startDate":{"maxLength":255,"type":"string","description":"Дата начала","format":"date-time","nullable":true},"finishDate":{"maxLength":255,"type":"string","description":"Дата окончания","format":"date-time","nullable":true},"isTrust":{"type":"boolean","description":"Признак подтвержденности","nullable":true},"complCode":{"maxLength":255,"type":"string","description":"Код полноты адреса","nullable":true},"addressStatus":{"maxLength":255,"type":"string","description":"Код проверки адреса","nullable":true},"postalCodeStatus":{"maxLength":255,"type":"string","description":"Код качества индекса","nullable":true}},"additionalProperties":false,"description":"Адрес ЮЛ","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientBlackListItem":{"type":"object","properties":{"similarity":{"maximum":9223372036854775000,"minimum":-9223372036854775000,"type":"integer","description":"Схожесть","format":"int64","nullable":true},"isExcluded":{"type":"boolean","description":"Признак исключения","nullable":true},"blackListTypeCode":{"maxLength":255,"type":"string","description":"Код типа","nullable":true},"creationDateTime":{"maxLength":255,"type":"string","description":"Дата создания","format":"date-time","nullable":true},"modificationDateTime":{"maxLength":255,"type":"string","description":"Дата изменения","format":"date-time","nullable":true},"excludeDateTime":{"maxLength":255,"type":"string","description":"Дата исключения","format":"date-time","nullable":true},"blacklistedDateTime":{"maxLength":255,"type":"string","description":"Дата внесения в ЧС","format":"date-time","nullable":true},"deleteDateTime":{"maxLength":255,"type":"string","description":"Дата удаления","format":"date-time","nullable":true},"blackListReasonCode":{"maxLength":255,"type":"string","description":"Причина","nullable":true},"modifyUser":{"maxLength":100,"type":"string","description":"Изменивший пользователь","nullable":true},"isManual":{"type":"boolean","description":"Признак isManual","nullable":true}},"additionalProperties":false,"description":"Элемент черного списка","nullable":true},"ru.vtb.integration.mdm.cs.organization.model.etalons.search.v2.EtalonClientContact":{"type":"object","properties":{"contactTypeCode":{"maxLength":30,"type":"string","description":"Код типа","nullable":true},"value":{"maxLength":255,"type":"string","description":"Значение","nullable":true},"priority":{"maxLength":255,"type":"string","description":"Приоритет","nullable":true},"comment":{"maxLength":255,"type":"string","description":"Комментарий","nullable":true},"isTrust":{"type":"boolean","description":"Признак до
[...]
